    <script language="JavaScript">
    
      // ****************************
      // * This script is freeware. *
      // * You are allowed to use it*
      // * for any purpose as long  *
      // * as this comment stays in-*
      // * tact. This script was    *
      // * written by Timo Sack     *
      // * http://www.timos-welt.de *
      // * This is version 0.82 of  *
      // * the Ken-Burns effect     *
      // * Diashow Javascript.      *
      // ****************************


      // Here is the stuff you can adapt to your needs
      var advss_maxSize=<?php echo $CONFIG['picture_width'];?>;
      var advssPic = new Array();      // don't change this!
      var advssPicX = new Array();     // don't change this!
      var advssPicY = new Array();     // don't change this!
      var advssDurMax=500;           // Time between pic changes (must be > 400 to make sense)
      var advssTimeOut=25;            // Speed of animation. Smaller value is faster but gives more CPU load.
                                  // A value > 30 is recommended to ensure to work properly on recent computers.

<?php

// Set $advssmode to 1 to view only normal pics when available (no animation if normal pic exists)
// Set $advssmode to 2 to use full size pic and view animation if pic is big enough, only show normal pic if pic is to small
// Set $advssmode to 3 to randomly use animation or normal size

$advssmode=3;

$i = 0;
$j = 0;
$k = 0;
$pid = (int)$_GET['pid'];
$start_img = '';
$start_img_height=0;
$start_img_width=0;
$pic_data = get_pic_data($_GET['album'], $pic_count, $album_name, -1, -1, false);
foreach ($pic_data as $picture) {


    if($CONFIG['thumb_use']=='ht' && $picture['pheight'] > $CONFIG['picture_width'] ){ // The wierd comparision is because only picture_width is stored
      $condition = true;
    }elseif($CONFIG['thumb_use']=='wd' && $picture['pwidth'] > $CONFIG['picture_width']){
      $condition = true;
    }elseif($CONFIG['thumb_use']=='any' && max($picture['pwidth'], $picture['pheight']) > $CONFIG['picture_width']){
      $condition = true;
    }else{
     $condition = false;
    }

    if (is_image($picture['filename'])) {
        if ($CONFIG['make_intermediate'] && $condition ) {
        	
        	  $advsszufall = rand(1,2);
        	  if (($advssmode==1) || (($advssmode==3) && ($advsszufall==2))) {
            $picture_url = get_pic_url($picture, 'normal');
            echo "advssPic[$i] = '" . $picture_url . "';\n";
        		echo "advssPicX[$i] = " .$CONFIG['picture_width'].";\n";
        		echo "advssPicY[$i] = " .round($picture['pheight']/$picture['pwidth']*$CONFIG['picture_width']).";\n";
        	  }
        	  else {
        	  $picture_url = get_pic_url($picture, 'fullsize');
            echo "advssPic[$i] = '" . $picture_url . "';\n";
        		echo "advssPicX[$i] = " .$picture['pwidth'].";\n";
        		echo "advssPicY[$i] = " .$picture['pheight'].";\n";
        	  }
        } else {
            $picture_url = get_pic_url($picture, 'fullsize');
            echo "advssPic[$i] = '" . $picture_url . "';\n";
        		echo "advssPicX[$i] = " .$picture['pwidth'].";\n";
        		echo "advssPicY[$i] = " .$picture['pheight'].";\n";
        }


        
        if ($picture['pid'] == $pid) {
            $j = $i;
            $start_img = get_pic_url($picture, 'normal');
            $start_img_height = $CONFIG['picture_width']*$picture['pheight']/$picture['pwidth'];
            $start_img_width = $CONFIG['picture_width'];
        }
        $i++;
    }

}
if (!$i) {
    echo "Pic[0] = 'images/thumb_document.jpg'\n";
}
?>

      // The following stuff shouldn't be modified if you don't 
      // know a lot about Javascript! Simply leave it as it is! :)
      
      var advsspreloadMe = new Array();// Array of objects for preload of images
      var advssvisiblex=0, advssvisibley=0; // Position of animation on the screen
      var advssimgWidth=0, advssimgHeight=0;// Will be overwritten if pic changes 
      var advss_x=0, advss_y=0;               // Relative position of the picture snip
      var advssrestWidth=0, advssrestHeight=0;  // Helpers
      var advssXStep=1, advssYStep=1;       // Number of pixels the pic will be moved with each step
      var advssDurCount=0;              // Counter for one Pic to stay
      var advssPicCounter=0;         // Current pic to be viewed
      var advssdeckung = 99;            // Opacity of moving pic
      var advssnormdeckung = 99;        // Opacity of start pic
      var advssnotnow = 0;              // pic change in progress?
      






      // This function preloads the first big picture in the background
      // (normdeckung=99). Then it checks if the pic has been loaded fully
      // (normdeckung=98). When picture is loaded completely, the start pic
      // will be faded out and function changePic() is called.
      //
      function advssstartMe() 
      {
          if (advssnormdeckung == 99) {
            advsspreloadNext();
            advssnormdeckung-=5;
            setTimeout('advssstartMe()',500); 
            
          }
          else if (advssnormdeckung == 94) 
          {
              if (advsspreloadMe[advssPicCounter].complete) {
                advssnormdeckung-=4;
                advssvisiblex=0;
                advssvisibley=0;
                advssgetNormalPos();
                document.getElementById("loading").style.visibility="hidden";
                setTimeout('advssstartMe()',advssTimeOut); }
              else
              { 
                advssvisiblex=0;
                advssvisibley=0;
                advssgetNormalPos();
                document.getElementById("loading").style.left=advssvisiblex-16+(document.images['normalimg'].width)/2;
                document.getElementById("loading").style.top=advssvisibley-16+(document.images['normalimg'].height)/2;
                document.getElementById("loading").style.visibility="visible";
                setTimeout('advssstartMe()',advssTimeOut); }
          }
          else if (advssnormdeckung > 4) 
          {
            advssnormdeckung-=5;
            advsssetnormOpacity(advssnormdeckung/100);
            setTimeout('advssstartMe()',15);
          }
          else
          {
          advsssetnormOpacity(0);
          setTimeout('advsschangePic()',advssTimeOut);
          }
      }
      
      // Helper function, sets the opacity of the moving pic to value
      //
      function advsssetOpacity(advssopacity) 
      {
        document.getElementById("jau").style.opacity=advssopacity;
        document.getElementById("jau").style.MozOpacity=advssopacity;
        document.getElementById("jau").style.filter = "alpha(opacity=" + (advssopacity*100) + ")";
      }
      
      // Helper function, starts pre-loading of next big picture
      //
      function advsspreloadNext() 
      {
        advssPicCounter++;
        if (advssPicCounter >= advssPic.length) advssPicCounter = 0;
        advsspreloadMe[advssPicCounter] = new Image();
        advsspreloadMe[advssPicCounter].src = advssPic[advssPicCounter];
      }

      // Changes the moving picture to the next one. Sets start variables for
      // animation. Animation will be startet in random direction.
      // Preload of following picture is initiated.
      //
      function advsschangePic() {
        advssDurCount = 0;
        advssXStep=1;
        advssYStep=1;
        advssdeckung=0;
        advssimgWidth = advssPicX[advssPicCounter];
        advssimgHeight = advssPicY[advssPicCounter];
        if (advssimgWidth>advssimgHeight) { advssclipWidth=advss_maxSize; advssclipHeight=Math.round(advss_maxSize*advssimgHeight/advssimgWidth); }        // Size of visible picture snip 
        else if (advssimgHeight>advssimgWidth) {advssclipHeight=advss_maxSize; advssclipWidth=Math.round(advss_maxSize*advssimgWidth/advssimgHeight); }    // Size of visible picture snip
        else {advssclipHeight=advss_maxSize;advssclipWidth=advss_maxSize;}
        document.images['normalimg'].width=advssclipWidth-1;
        document.images['normalimg'].height=advssclipHeight-1;
        document.getElementById("loading").style.left=advssvisiblex-16+advssclipWidth/2;
        document.getElementById("loading").style.top=advssvisibley-16+advssclipHeight/2;
        advssrestWidth=advssimgWidth-advssclipWidth, advssrestHeight=advssimgHeight-advssclipHeight;
        document.getElementById("jau").width=advssimgWidth;
        document.getElementById("jau").height=advssimgHeight;
        document.getElementById("jau").src=advssPic[advssPicCounter];
        document.getElementById("jau").style.visibility="visible";
        advss_x=(Math.round(advssimgWidth/2)+(Math.round(-50 + 100*(Math.random()))))-(Math.round(advssclipWidth/2));
        advss_y=(Math.round(advssimgHeight/2)+(Math.round(-50 + 100*(Math.random()))))-(Math.round(advssclipHeight/2));
        if (advssclipWidth>=advss_maxSize) document.getElementById("loading").style.left=advssvisiblex-16+advssclipWidth/2;
        else document.getElementById("loading").style.left=(advssvisiblex-16+advssclipWidth/2)+(advss_maxSize-advssclipWidth)/2;
        document.getElementById("loading").style.top=advssvisibley-16+advssclipHeight/2;
        if ((advssimgWidth > (advss_maxSize + 52)) && (advssimgHeight > (advss_maxSize + 52))) {
            advssmove();
            advsszufall = Math.round(1 + 6*(Math.random()));
            switch (advsszufall) {
                case 1: setTimeout('advssrightUp()',advssTimeOut);
                break;
                case 2: setTimeout('advssleftUp()',advssTimeOut);
                break;
                case 3: setTimeout('advssleftDown()',advssTimeOut);
                break;
                case 4: setTimeout('advssleftDown()',advssTimeOut);
                break;
                default: setTimeout('advssrightDown()',advssTimeOut);
              }
            setTimeout('advsspreloadNext()',1);
      }
      else
      {

                document.getElementById("image").style.left=advssvisiblex;
                document.getElementById("image").style.top=advssvisibley;
                document.getElementById("jau").width=advssimgWidth;
                document.getElementById("jau").height=advssimgHeight;
                document.getElementById("image").style.clip=
                  "rect("+((0))+" "+((advssimgWidth))+" "+((advssimgHeight))+" "+(0)+")";
              advssDurCount=300;
              advssdeckung=0;
              setTimeout('advsspreloadNext()',1);
              setTimeout('advssfadeMeIn()',20);
      }
      }

      function advssfadeMeIn() {
        advssDurCount++;
        if (advssDurCount > advssDurMax-20) setTimeout('advssfadeMeOut()',15);
        else
        {
        if (advssdeckung < 95) { advssdeckung+=5; advsssetOpacity(advssdeckung/100); }
        else { advssnotnow=0; advssdeckung=99; advsssetOpacity(advssdeckung/100); }
        setTimeout('advssfadeMeIn()',15);
        }
      }
      
      function advssfadeMeOut() {
        if (advsspreloadMe[advssPicCounter].complete) {
        advssDurCount++;
        advssdeckung-=5
        if (advssdeckung > 0) { advsssetOpacity(advssdeckung/100); setTimeout('advssfadeMeOut()',15); }
        else { advssdeckung = 0; advsssetOpacity(0); setTimeout('advsschangePic()', advssTimeOut); }
        } else
        { setTimeout('advssfadeMeOut()',200); }
      }


      // Helper function, moves the picture and the visible clip.
      //
      function advssmove() {
        document.getElementById("image").style.clip=
            "rect("+((advss_y))+" "+((advss_x+advssclipWidth))+" "+((advss_y+advssclipHeight))+" "+(advss_x)+")";
            // neuer Ausschnitt: rect(oben rechts unten links)
        if (advssimgHeight<=advssimgWidth) document.getElementById("image").style.left=(-advss_x+advssvisiblex);
        else document.getElementById("image").style.left=(-advss_x+advssvisiblex+(advss_maxSize-(advssimgWidth/advssimgHeight*advss_maxSize))/2);
        document.getElementById("image").style.top=(-advss_y+advssvisibley);
      }

      // Move pic. Fade in if neccessary, fade out if neccessary.
      // Reduce step size if visible snip gets near the border.
      // Call different direction if border is reached. If DurMax
      // is reached, change pic to next one.
      //
      function advssrightDown() {
        advssDurCount++;
        if (advssDurCount > advssDurMax) { setTimeout('advsschangePic()',advssTimeOut); }
        else
        {
        if (advssDurCount > advssDurMax-11) { advssdeckung-=9; advsssetOpacity(advssdeckung/100+0.1); advssnotnow=1; }
        else if (advssDurCount < 11) { advssdeckung+=9; advsssetOpacity(advssdeckung/100+0.1); advssnotnow=1; }
        else { advssnotnow=0; }
        advss_x+=advssXStep, advss_y+=advssYStep;
        advssmove();  // Bewegung ausf?        //if(x>(restWidth-50)) { XStep=XStep-0.01; }
        if((advss_x==advssrestWidth)&&(advss_y==advssrestHeight)) { setTimeout('advssleftUp()',advssTimeOut); advss_x=advssrestWidth; advss_y=advssrestHeight; }
        else if(advss_x==advssrestWidth) { setTimeout('advssleftDown()',advssTimeOut); advss_x=advssrestWidth; }
        else if(advss_y==advssrestHeight) { setTimeout('advssrightUp()',advssTimeOut); advss_y=advssrestHeight; }
        else setTimeout('advssrightDown()',advssTimeOut);
        }
      }

      function advssleftDown() {
        advssDurCount++;
        if (advssDurCount > advssDurMax) { setTimeout('advsschangePic()',advssTimeOut); }
        else
        {
        if (advssDurCount > advssDurMax-11) { advssdeckung-=9; advsssetOpacity(advssdeckung/100+0.1); advssnotnow=1; }
        else if (advssDurCount < 11) { advssdeckung+=9; advsssetOpacity(advssdeckung/100+0.1); advssnotnow=1; }
        else { advssnotnow=0; }
        advss_x-=advssXStep, advss_y+=advssYStep;
        advssmove();
        if(advss_x==0&&advss_y==advssrestHeight) { setTimeout('advssrightUp()',advssTimeOut);}
        else if(advss_x==0) { setTimeout('advssrightDown()',advssTimeOut); }
        else if(advss_y==advssrestHeight) { setTimeout('advssleftUp()',advssTimeOut); }
        else setTimeout('advssleftDown()',advssTimeOut);
        }
      }

      function advssrightUp() {
        advssDurCount++;
        if (advssDurCount > advssDurMax) { setTimeout('advsschangePic()',advssTimeOut); }
        else
        {
        if (advssDurCount > advssDurMax-11) { advssdeckung-=9; advsssetOpacity(advssdeckung/100+0.1); advssnotnow=1; }
        else if (advssDurCount < 11) { advssdeckung+=9; advsssetOpacity(advssdeckung/100+0.1); advssnotnow=1; }
        else { advssnotnow=0; }
        advss_x+=advssXStep, advss_y-=advssYStep;
        advssmove();
        if(advss_x==advssrestWidth&&advss_y==0) { setTimeout('advssleftDown()',advssTimeOut); }
        else if(advss_x==advssrestWidth) { setTimeout('advssleftUp()',advssTimeOut); }
        else if(advss_y==0) { setTimeout('advssrightDown()',advssTimeOut); }
        else setTimeout('advssrightUp()',advssTimeOut);
        }
      }

      function advssleftUp() {
        advssDurCount++;
        if (advssDurCount > advssDurMax) { setTimeout('advsschangePic()',advssTimeOut); }
        else
        {
        if (advssDurCount > advssDurMax-11) { advssdeckung-=9; advsssetOpacity(advssdeckung/100+0.1); advssnotnow=1; }
        else if (advssDurCount < 11) { advssdeckung+=9; advsssetOpacity(advssdeckung/100+0.1); advssnotnow=1; }
        else { advssnotnow=0; }
        advss_x-=advssXStep, advss_y-=advssYStep;
        advssmove();
        if(advss_x==0&&advss_y==0) { setTimeout('advssrightDown()',advssTimeOut); }
        else if(advss_x==0) { setTimeout('advssrightUp()',advssTimeOut); }
        else if(advss_y==0) { setTimeout('advssleftDown()',advssTimeOut); }
        else setTimeout('advssleftUp()',advssTimeOut);
        }
      }

      // Helper function: Set opacity of start pic.
      //
      function advsssetnormOpacity(advssopacity) {
        document.getElementById("normalimg").style.opacity=advssopacity;
        document.getElementById("normalimg").style.MozOpacity=advssopacity;
        document.getElementById("normalimg").style.filter = "alpha(opacity=" + (advssopacity*100) + ")";
      }
      
      // Helper function: Move to next pic if user clicks on it and it is ready loaded
      //
      function advssnextpic() {
        if (!advssnotnow) {
        if (advsspreloadMe[advssPicCounter].complete) {
        advssDurCount=advssDurMax-13;
        document.getElementById("loading").style.visibility="hidden";
        advssnotnow=1;
        }
        else
        {
        document.getElementById("loading").style.visibility="visible";
        setTimeout('advssnextpic()',500);
        }
      }
      }
    
      function advssgetNormalPos() {
          // Get position of visible normal image after loading
          if (document.layers)
          {
            advssvisiblex = document.images['normalimg'].x;
            advssvisibley = document.images['normalimg'].y;
          }
          else
          {
            obj = (document.all) ? document.all.item('normalimg') : document.getElementById('normalimg');
            while(obj)
              {
              advssvisiblex += obj.offsetLeft;
              advssvisibley += obj.offsetTop;
              obj = obj.offsetParent;
              }
          }
      }
    
    </SCRIPT>